/**
* OLAT - Online Learning and Training<br>
* http://www.olat.org
* <p>
* Licensed under the Apache License, Version 2.0 (the "License"); <br>
* you may not use this file except in compliance with the License.<br>
* You may obtain a copy of the License at
* <p>
* http://www.apache.org/licenses/LICENSE-2.0
* <p>
* Unless required by applicable law or agreed to in writing,<br>
* software distributed under the License is distributed on an "AS IS" BASIS, <br>
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. <br>
* See the License for the specific language governing permissions and <br>
* limitations under the License.
* <p>
* Copyright (c) since 2004 at Multimedia- & E-Learning Services (MELS),<br>
* University of Zurich, Switzerland.
* <p>
*/ 

package org.olat.notifications;

import org.olat.core.util.notifications.SubscriptionInfo;

/**
 * Description:<br>
 * used as an empty subscriptionInfo
 * 
 * <P>
 * Initial Date:  10.01.2005 <br>
 *
 * @author Felix Jost
 */
public class NoSubscriptionInfo extends SubscriptionInfo {

	/**
	 * 
	 */
	NoSubscriptionInfo() {
		super(null, null);
	}

	/**
	 * @see org.olat.notifications.SubscriptionInfo#getSpecificInfo(java.lang.String)
	 */
	public String getSpecificInfo(String mimeType) {
		return "";
	}

	/**
	 * @see org.olat.notifications.SubscriptionInfo#hasNews()
	 */
	public boolean hasNews() {
		return false;
	}

	@Override
	public String getTitle(String mimeType) {
		return "";
	}

	@Override
	public String getCustomUrl() {
		return null;
	}

}

